/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 用户端-提交 新增，修改，删除 批单 POST /api/InsureBatchBill/AddOrUpdateInsureBatchBill */
export async function addOrUpdateInsureBatchBill(
  body: API.InsureBatchBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureBatchBill/AddOrUpdateInsureBatchBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端-导出批单人员 GET /api/InsureBatchBill/ExportInsuranceBatchStaff */
export async function exportInsuranceBatchStaff(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIexportInsuranceBatchStaffParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureBatchBill/ExportInsuranceBatchStaff', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取运营端-审核批单-审核详情 GET /api/InsureBatchBill/GetBatchDetailForCheck */
export async function getBatchDetailForCheck(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetBatchDetailForCheckParams,
  options?: API.RequestConfig
) {
  return request<API.BatchDetailForCheckDto>('/api/InsureBatchBill/GetBatchDetailForCheck', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取客户端-批单的列表 POST /api/InsureBatchBill/GetInsureBatchBillList */
export async function getInsureBatchBillList(
  body: API.GetInsuranceBatchBillInput,
  options?: API.RequestConfig
) {
  return request<API.InsureBatchBillDtoPageOutput>('/api/InsureBatchBill/GetInsureBatchBillList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取运营端-审核批单的列表 POST /api/InsureBatchBill/GetInsureBatchBillListForCheck */
export async function getInsureBatchBillListForCheck(
  body: API.GetInsuranceBatchBillForCheckInput,
  options?: API.RequestConfig
) {
  return request<API.InsureBatchBillDtoPageOutput>(
    '/api/InsureBatchBill/GetInsureBatchBillListForCheck',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 客户端-批改详情 GET /api/InsureBatchBill/GetInsureBatchDetail */
export async function getInsureBatchDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureBatchDetailParams,
  options?: API.RequestConfig
) {
  return request<API.InsureBatchDetailDto>('/api/InsureBatchBill/GetInsureBatchDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 客户端-批单增员减员保单数据导入 POST /api/InsureBatchBill/ImportBatchAddOrSubOrderData */
export async function importBatchAddOrSubOrderData(
  body: API.ImportBatchAddOrSubOrderInput,
  options?: API.RequestConfig
) {
  return request<API.CheckImportBatchAddOrSubOrderDataOutput>(
    '/api/InsureBatchBill/ImportBatchAddOrSubOrderData',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 客户端-批单替换数据导入 POST /api/InsureBatchBill/ImportBatchUpdateOrderData */
export async function importBatchUpdateOrderData(
  body: API.ImportBatchAddOrSubOrderInput,
  options?: API.RequestConfig
) {
  return request<API.CheckImportBatchUpdateOrderDataOutput>(
    '/api/InsureBatchBill/ImportBatchUpdateOrderData',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 客户端-检查批单增员减员保单数据导入 POST /api/InsureBatchBill/ImportCheckBatchAddOrSubOrderData */
export async function importCheckBatchAddOrSubOrderData(
  body: API.ImportBatchAddOrSubOrderInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureBatchBill/ImportCheckBatchAddOrSubOrderData', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 客户端-检查批单替换数据导入 POST /api/InsureBatchBill/ImportCheckBatchUpdateOrderData */
export async function importCheckBatchUpdateOrderData(
  body: API.ImportBatchAddOrSubOrderInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureBatchBill/ImportCheckBatchUpdateOrderData', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端-设置批量的状态 POST /api/InsureBatchBill/SetInsureBatchBillStatus */
export async function setInsureBatchBillStatus(
  body: API.SetInsureBatchBillStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureBatchBill/SetInsureBatchBillStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
